.toolbar-section {
  position: fixed;
  right: 24px;
  bottom: 152px;
  z-index: 999;
}

.toolbar-section-show-affix {
  right: 0;
}

.toolbar-section .toolbar-affix-box {
  display: none !important;
}

.toolbar-section-show-affix .toolbar-affix-box {
  display: flex !important;
}

.toolbar-section-show-affix .toolbar-container {
  display: none !important;
}

.toolbar-section .toolbar-affix-box {
  width: 24px;
  border-radius: 8px 0 0 8px;
  box-shadow: 0 4px 16px 0 rgba(0, 0, 0, 0.14);
  height: 89px;
  background-color: #fff;
  justify-content: center;
  align-items: center;
  display: flex;
  cursor: pointer;
}

.toolbar-section .toolbar-affix-box:hover .info-label {
  color: var(--primary-6);
}

.toolbar-section .toolbar-container {
  display: flex;
  flex-direction: column;
  background-color: #fff;
  border-radius: 60px;
  width: 56px;
  box-shadow: 0 4px 16px 0 rgba(0, 0, 0, 0.14);
  padding: 8px 0px;
}

.toolbar-section .toolbar-item {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  position: relative;
}

.toolbar-section .toolbar-item:hover {
  box-shadow: 0 2px 6px 1px rgba(0, 0, 0, 0.08);
}

.toolbar-section .toolbar-item .toolbar-content {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  flex-direction: column;
}
.toolbar-section .toolbar-item .info-label {
  line-height: 1;
  color: #333;
}
.toolbar-section .toolbar-item .custom-icon {
  width: 28px;
}
.toolbar-section .toolbar-box {
  position: absolute;
  right: 51px;
  padding-right: 15px;
  top: 50%;
  transform: translateY(-50%);
  display: none;
}

.toolbar-section .toolbar-box:hover {
  display: block;
}
.toolbar-section .toolbar-item:hover .toolbar-box {
  display: block;
}

.toolbar-section .toolbar-box-content {
  flex-direction: column;
  align-items: center;
  display: flex;
  padding: 16px;
  border-radius: 8px;
}

.toolbar-section .toolbar-box-content .custom-img {
  width: 160px;
  margin-bottom: 8px;
}

.toolbar-section .toolbar-box-content .toolbar-box-name {
  color: #333;
  line-height: 22px;
  font-size: 14px;
}

.toolbar-section .toolbar-box-value a {
  font-size: 18px;
  line-height: 26px;
  color: #0A6AFF;
  white-space: nowrap;
  margin-bottom: 8px;
}

.toolbar-section .toolbar-box-value p {
  font-size: 18px;
  line-height: 26px;
  min-width: 160px;
  margin-bottom: 8px;
  text-align: center;
}

.toolbar-box-mobile {
  display: none;
}

@media (max-width: 768px) {
  .toolbar-section {
    right: 12px;
  }

  .toolbar-section-show-affix {
    right: 0;
  }

  .toolbar-section .toolbar-affix-box {
    width: 36px;
  }

  .toolbar-section .toolbar-box {
    display: none !important;
  }

  .toolbar-box-mobile-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(20, 20, 20, 0.30);
    z-index: 99999;
    justify-content: center;
    align-items: center;
  }

  .toolbar-box-mobile-overlay .toolbar-box-content-mobile {
    width: 263px;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 16px;
  }

  .toolbar-box-mobile-overlay .toolbar-box-content-mobile .toolbar-box-name {
    color: #1A1A1A;
    font-size: 18px;
    font-weight: 600;
    line-height: 26px;
    padding: 32px 0 8px 0;
  }

  .toolbar-box-mobile-overlay .toolbar-box-content-mobile .toolbar-box-value {
    padding-bottom: 16px;
  }

  .toolbar-box-mobile-overlay .toolbar-box-value a {
    font-size: 16px;
    line-height: 24px;
    color: #0A6AFF;
    margin-bottom: 8px;
    padding: 0 10px;
    word-break: break-word;
  }
  
  .toolbar-box-mobile-overlay .toolbar-box-value p {
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 8px;
    padding: 0 10px;
    text-align: center;
  }

  .toolbar-box-mobile-overlay .toolbar-box-value .custom-img {
    width: 160px;
    text-align: center;
  }

  .toolbar-box-mobile-overlay .toolbar-box-content-mobile .toolbar-box-close {
    color: #0A6AFF;
    font-size: 16px;
    line-height: 24px;
    font-weight: 600;
    cursor: pointer;
    border-top: 0.5px solid #E7E7E7;
    padding: 16px 20px;
    width: 100%;
    text-align: center;
  }
}